Skip to content

Incidents ​

21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getInfluencingClientsGETGet Influencing Clients by an incident
getInfluencingDevicesGETGet Influencing Devices by an incident
getCategoryEventCountGETGet incident category event count
deleteIncidentsDELETEDelete incidents
getIncidentDetailGETGet incident detail
modifyIncidentStatusPOSTModify incident status
deleteAggregateIncidentDELETEDelete aggregate incident
getGridIncidentListGETGet grid incident List
getIncidentsRankingPOSTGet incidents ranking cards
modifyAggregateIncidentStatusPOSTModify aggregate incident status
getNotificationTemplate_1GETGet incident notification info
modifyNotificationPATCHSet incident notification info
getIncidentDistributionGETGet incident overview distribution
getRankingCardsPOSTGet incident overview ranking cards
getOverviewStatisticsGETGet incident overview statistics
getAnomalyEventSettingForSiteGETGet site incident event setting
modifyAnomalyEventSettingForSitePATCHModify site incident event setting
getUnresolvedIncidentCountGETGet unresolved incident count
getObjectHealthIncidentGETGet device/client health incidents
getGridDeviceIncidentListGETGet grid device incident List
getGridStackIncidentListGETGet grid stack incident list

getInfluencingClients ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/{mac}/influencing-clients

Get Influencing Clients by an incident

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
macpathstringyesClient MAC address, like AA-BB-CC-DD-EE-FF
anomalyCodequerystringyesAnomaly Code
startTimequeryintegernoStart time of the query range, in milliseconds (epoch). If both startTime and endTime are omitted, the server defaults to the last 30 days.
endTimequeryintegernoEnd time of the query range, in milliseconds (epoch). If both startTime and endTime are omitted, the server defaults to the last 30 days.
statusqueryintegernoStatus of the incident. 0: unresolved, 1: resolved, 2: ignored, 3: ongoing, null: all
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–100. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.activequerystringnoFilter query parameters, support field active: true/false.
searchKeyquerystringnoFuzzy query parameters, support field clientName,mac,ip.
json
// omada_call_operation
{
  "operationId": "getInfluencingClients",
  "params": {
    "siteId": "<siteId>",
    "mac": "<mac>",
    "anomalyCode": "<anomalyCode>"
  }
}
Details, permissions and error codes

Get Influencing Clients by an incident
The interface requires one of the permissions:
Incidents Page View Only

getInfluencingDevices ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/{mac}/influencing-devices

Get Influencing Devices by an incident

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
macpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
anomalyCodequerystringyesAnomaly Code
startTimequeryintegernoStart time of the query range, in milliseconds. If both startTime and endTime are omitted, the server defaults to the last 30 days.
endTimequeryintegernoEnd time of the query range, in milliseconds. If both startTime and endTime are omitted, the server defaults to the last 30 days.
statusqueryintegernoStatus of the incident. 0: unresolved, 1: resolved, 2: ignored, 3: ongoing, null: all
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–100. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.statusquerystringnoFilter query parameters, support field status
searchKeyquerystringnoFuzzy query parameters, support field deviceName,mac,ip.
json
// omada_call_operation
{
  "operationId": "getInfluencingDevices",
  "params": {
    "siteId": "<siteId>",
    "mac": "<mac>",
    "anomalyCode": "<anomalyCode>"
  }
}
Details, permissions and error codes

Get Influencing Devices by an incident
The interface requires one of the permissions:
Incidents Page View Only

getCategoryEventCount ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/category

Get incident category event count

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filters.startTimequeryintegeryesStart time in milliseconds
filters.endTimequeryintegeryesEnd time in milliseconds
categoryqueryintegeryesIncident category (11-19)
json
// omada_call_operation
{
  "operationId": "getCategoryEventCount",
  "params": {
    "siteId": "<siteId>",
    "filters.startTime": "<filters.startTime>",
    "filters.endTime": "<filters.endTime>",
    "category": "<category>"
  }
}
Details, permissions and error codes

Get incident category event count statistics.
The interface requires one of the permissions:
Incidents Page View Only

deleteIncidents ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/anomaly/incident

Delete incidents

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteAnomalyListSettingVO

FieldTypeRequiredDescription
incidentsarray<string>noList of anomaly event IDs to operate on.
selectAllbooleannoWhether to select all incidents. If true, 'incidents' list items are excluded; otherwise only listed items are processed.
objectstringnoDevice or client MAC, multiple MACs separated by comma. Required when selectAll is true.
anomalyCodestringnoAnomaly event code. Required when selectAll is true.
startintegernoStart time in seconds. If both start and end are omitted, the server defaults to the last 30 days.
endintegernoEnd time in seconds. If both start and end are omitted, the server defaults to the last 30 days.
statusintegernoCurrent event status. 0: Unresolved, 1: Resolved, 2: Ignored. 3:Ongoing
json
// omada_call_operation
{
  "operationId": "deleteIncidents",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete incidents from the incident list. For select-all operations, if both start and end are omitted, the server defaults to the last 30 days; a supplied time range is preserved.
The interface requires one of the permissions:
Incidents Page Modify

getIncidentDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/incident/{incidentId}

Get incident detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
incidentIdpathstringyesIncident ID
json
// omada_call_operation
{
  "operationId": "getIncidentDetail",
  "params": {
    "siteId": "<siteId>",
    "incidentId": "<incidentId>"
  }
}
Details, permissions and error codes

Get incident detail
The interface requires one of the permissions:
Incidents Page View Only

modifyIncidentStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/anomaly/incident/status

Modify incident status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AnomalyListSettingVO

FieldTypeRequiredDescription
incidentsarray<string>noList of anomaly event IDs to operate on. IDs are from 'Get grid incident List' API.
selectAllbooleannoWhether to select all incidents. If true, 'incidents' list items are excluded; otherwise only listed items are processed.
objectstringnoDevice or client MAC, multiple MACs separated by comma. Required when selectAll is true.
anomalyCodestringnoAnomaly event code. Required when selectAll is true.
startintegernoStart time in seconds. If both start and end are omitted, the server defaults to the last 30 days.
endintegernoEnd time in seconds. If both start and end are omitted, the server defaults to the last 30 days.
statusintegernoCurrent event status. 0: Unresolved, 1: Resolved, 2: Ignored. 3:Ongoing
targetStatusintegernoTarget event status for modification. 0: Unresolved 1: Resolved, 2: Ignored. Not required for deletion.
json
// omada_call_operation
{
  "operationId": "modifyIncidentStatus",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify the status of incidents. For select-all operations, if both start and end are omitted, the server defaults to the last 30 days; a supplied time range is preserved.
The interface requires one of the permissions:
Incidents Page Modify

deleteAggregateIncident ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/anomaly/incidents

Delete aggregate incident

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AnomalyTimerSettingVO

FieldTypeRequiredDescription
incidentsarray<AnomalyBriefQueryVO>noList of anomaly event objects to operate on, identified by anomaly code and MAC.
selectAllbooleannoWhether to select all incidents. If true, 'incidents' list items are excluded; otherwise only listed items are processed.
searchKeystringnoSearch keyword for event content, device name/MAC/IP. Required when selectAll is true.
levelintegernoEvent severity level filter. 0: Critical, 1: Error, 2: Warning, 3: Info.
categorystringnoEvent category filter, comma-separated. Required when selectAll is true.
objectTypestringnoObject type filter, comma-separated (e.g. 'ap,wirelessClient'). Required when selectAll is true.
statusintegeryesCurrent event status. 0: Unresolved, 1: Resolved, 2: Ignored. 3: Ongoing
targetStatusintegernoTarget event status for modification. 0: Unresolved 1: Resolved, 2: Ignored. Not required for deletion.
startintegernoStart time in seconds (Unix timestamp).
endintegernoEnd time in seconds (Unix timestamp).
startTimeintegeryesStart time in milliseconds (Unix timestamp).
endTimeintegeryesEnd time in milliseconds (Unix timestamp).
json
// omada_call_operation
{
  "operationId": "deleteAggregateIncident",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete aggregate incidents.
The interface requires one of the permissions:
Incidents Page Modify

getGridIncidentList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/incidents

Get grid incident List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filters.statusqueryintegernoIncident status filter
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.startTimequeryintegeryesStart time in milliseconds
filters.endTimequeryintegeryesEnd time in milliseconds
filters.categoryquerystringnoIncident category filter
filters.anomalyCodequerystringnoAnomaly code filter
json
// omada_call_operation
{
  "operationId": "getGridIncidentList",
  "params": {
    "siteId": "<siteId>",
    "filters.startTime": "<filters.startTime>",
    "filters.endTime": "<filters.endTime>"
  }
}
Details, permissions and error codes

Get incident list.
The interface requires one of the permissions:
Incidents Page View Only

getIncidentsRanking ​

POST /openapi/v1/{omadacId}/sites/{siteId}/anomaly/incidents/ranking-cards

Get incidents ranking cards

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IncidentRankingQueryVO

FieldTypeRequiredDescription
startTimeintegeryesStart time in milliseconds
endTimeintegeryesEnd time in milliseconds
topKintegernoNumber of top items to return. Defaults to 5 if not provided, maximum to 20.
anomalyCodeintegeryesFor the values of Anomaly event code, refer to section 5.7.2.1 of the Open API Access
json
// omada_call_operation
{
  "operationId": "getIncidentsRanking",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get incidents ranking cards.
The interface requires one of the permissions:
Incidents Page View Only

modifyAggregateIncidentStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/anomaly/incidents/status

Modify aggregate incident status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AnomalyTimerSettingVO

FieldTypeRequiredDescription
incidentsarray<AnomalyBriefQueryVO>noList of anomaly event objects to operate on, identified by anomaly code and MAC.
selectAllbooleannoWhether to select all incidents. If true, 'incidents' list items are excluded; otherwise only listed items are processed.
searchKeystringnoSearch keyword for event content, device name/MAC/IP. Required when selectAll is true.
levelintegernoEvent severity level filter. 0: Critical, 1: Error, 2: Warning, 3: Info.
categorystringnoEvent category filter, comma-separated. Required when selectAll is true.
objectTypestringnoObject type filter, comma-separated (e.g. 'ap,wirelessClient'). Required when selectAll is true.
statusintegeryesCurrent event status. 0: Unresolved, 1: Resolved, 2: Ignored. 3: Ongoing
targetStatusintegernoTarget event status for modification. 0: Unresolved 1: Resolved, 2: Ignored. Not required for deletion.
startintegernoStart time in seconds (Unix timestamp).
endintegernoEnd time in seconds (Unix timestamp).
startTimeintegeryesStart time in milliseconds (Unix timestamp).
endTimeintegeryesEnd time in milliseconds (Unix timestamp).
json
// omada_call_operation
{
  "operationId": "modifyAggregateIncidentStatus",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify the status of aggregate incidents.
The interface requires one of the permissions:
Incidents Page Modify

getNotificationTemplate_1 ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/notification

Get incident notification info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getNotificationTemplate_1",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get incident notification info.
The interface requires one of the permissions:
Incidents Page View Only

modifyNotification ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/anomaly/notification

Set incident notification info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SetNotificationOpenApiVO

FieldTypeRequiredDescription
alertEmailSettingAlertEmailSettingVOyes(AlertEmailSettingVO not expanded; call omada_get_schema "AlertEmailSettingVO")
emailNotificationConfigurationOpenApiVOyes(NotificationConfigurationOpenApiVO not expanded; call omada_get_schema "NotificationConfigurationOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyNotification",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set incident notification info.
The interface requires one of the permissions:
Incidents Page Modify

getIncidentDistribution ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/overview/incident-distribution

Get incident overview distribution

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filters.startTimequeryintegeryesStart time in milliseconds
filters.endTimequeryintegeryesEnd time in milliseconds
json
// omada_call_operation
{
  "operationId": "getIncidentDistribution",
  "params": {
    "siteId": "<siteId>",
    "filters.startTime": "<filters.startTime>",
    "filters.endTime": "<filters.endTime>"
  }
}
Details, permissions and error codes

Get incident overview distribution.
The interface requires one of the permissions:
Incidents Page View Only

getRankingCards ​

POST /openapi/v1/{omadacId}/sites/{siteId}/anomaly/overview/ranking-cards

Get incident overview ranking cards

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema IncidentRankingQueryVO

FieldTypeRequiredDescription
startTimeintegeryesStart time in milliseconds
endTimeintegeryesEnd time in milliseconds
topKintegernoNumber of top items to return. Defaults to 5 if not provided, maximum to 20.
anomalyCodeintegeryesFor the values of Anomaly event code, refer to section 5.7.2.1 of the Open API Access
json
// omada_call_operation
{
  "operationId": "getRankingCards",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get incident overview ranking cards.
The interface requires one of the permissions:
Incidents Page View Only

getOverviewStatistics ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/overview/statistics

Get incident overview statistics

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filters.startTimequeryintegeryesQuery start time, in milliseconds
filters.endTimequeryintegeryesQuery end time, in milliseconds
json
// omada_call_operation
{
  "operationId": "getOverviewStatistics",
  "params": {
    "siteId": "<siteId>",
    "filters.startTime": "<filters.startTime>",
    "filters.endTime": "<filters.endTime>"
  }
}
Details, permissions and error codes

Get incident overview statistics for the pie chart.
The interface requires one of the permissions:
Incidents Page View Only

getAnomalyEventSettingForSite ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/setting

Get site incident event setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.enablequeryintegernoFilter query parameters, support field enable, it should be a value as follows: 0:enable, 1:disable, example:0.
filters.levelqueryintegernoFilter query parameters, support field level, it should be a value as follows: 0:Critical, 1:Error, 2:Warning, 3: Info, example:1.
filters.categoryquerystringnoFilter query parameters, support field category, one or more categories, each category should be a value as follows: 11:Access, 12:Authentication, 13:Roaming, 14:Wireless Network, 15:Wired Network, 16:Link, 17:WAN and Services, 18:Device Status, 19:Security, example: 11 Or 12,13,14
json
// omada_call_operation
{
  "operationId": "getAnomalyEventSettingForSite",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get site incident event setting.
The interface requires one of the permissions:
Incidents Page View Only

modifyAnomalyEventSettingForSite ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/anomaly/setting/modify

Modify site incident event setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AnomalyEventSettingEditOpenApiVO

FieldTypeRequiredDescription
anomalyCodestringyesFor the values of Anomaly event code, refer to section 5.7.2.1 of the Open API Access
enablebooleannoWhether to detect anomaly events
levelintegernoAnomaly event level, it should be a value as follows: 0:Critical, 1:Error, 2:Warning, 3: Info
paramsobjectnoFor the values of Anomaly event params, refer to section 5.7.2.1 of the Open API Access
json
// omada_call_operation
{
  "operationId": "modifyAnomalyEventSettingForSite",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site incident event setting.
The interface requires one of the permissions:
Incidents Page Modify

getUnresolvedIncidentCount ​

GET /openapi/v1/{omadacId}/sites/{siteId}/anomaly/unresolved-incidents

Get unresolved incident count

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getUnresolvedIncidentCount",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get unresolved incident count.
The interface requires one of the permissions:
Incidents Page View Only

getObjectHealthIncident ​

GET /openapi/v1/{omadacId}/sites/{siteId}/health/incident/{mac}

Get device/client health incidents

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
macpathstringyes
filters.startTimequeryintegeryesStart time in milliseconds
filters.endTimequeryintegeryesEnd time in milliseconds
json
// omada_call_operation
{
  "operationId": "getObjectHealthIncident",
  "params": {
    "siteId": "<siteId>",
    "mac": "<mac>",
    "filters.startTime": "<filters.startTime>",
    "filters.endTime": "<filters.endTime>"
  }
}
Details, permissions and error codes

Get incident list for device/client health detail page.
The interface requires one of the permissions:
Incidents Page View Only

getGridDeviceIncidentList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/incident/{mac}

Get grid device incident List

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
macpathstringyes
filters.statusqueryintegernoIncident status filter
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.startTimequeryintegernoStart time in milliseconds
filters.endTimequeryintegernoEnd time in milliseconds
json
// omada_call_operation
{
  "operationId": "getGridDeviceIncidentList",
  "params": {
    "siteId": "<siteId>",
    "mac": "<mac>"
  }
}
Details, permissions and error codes

Get device incident list.
The interface requires one of the permissions:
Incidents Page View Only

getGridStackIncidentList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/incident/stack/{stackId}

Get grid stack incident list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
filters.statusqueryintegernoIncident status filter. 0: unresolved, 1: resolved, 2: ignored, 3: ongoing, null: all
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.startTimequeryintegernoStart time in milliseconds
filters.endTimequeryintegernoEnd time in milliseconds
json
// omada_call_operation
{
  "operationId": "getGridStackIncidentList",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get incident list for a stack detail page.
The interface requires one of the permissions:
Incidents Page View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.